package com.mdd.admin.validate.setting;

import com.mdd.admin.vo.setting.SettingSearchObjectVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.util.List;

@ApiModel("热门搜索设置参数")
public class SettingSearchValidate implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("是否开启热门搜索")
   private Integer isHotSearch;
   @ApiModelProperty("关键词列表")
   private List<SettingSearchObjectVo> list;

   public Integer getIsHotSearch() {
      return this.isHotSearch;
   }

   public List<SettingSearchObjectVo> getList() {
      return this.list;
   }

   public void setIsHotSearch(Integer isHotSearch) {
      this.isHotSearch = isHotSearch;
   }

   public void setList(List<SettingSearchObjectVo> list) {
      this.list = list;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof SettingSearchValidate)) {
         return false;
      } else {
         SettingSearchValidate other = (SettingSearchValidate)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$isHotSearch = this.getIsHotSearch();
            Object other$isHotSearch = other.getIsHotSearch();
            if (this$isHotSearch == null) {
               if (other$isHotSearch != null) {
                  return false;
               }
            } else if (!this$isHotSearch.equals(other$isHotSearch)) {
               return false;
            }

            Object this$list = this.getList();
            Object other$list = other.getList();
            if (this$list == null) {
               if (other$list != null) {
                  return false;
               }
            } else if (!this$list.equals(other$list)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof SettingSearchValidate;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $isHotSearch = this.getIsHotSearch();
      result = result * 59 + ($isHotSearch == null ? 43 : $isHotSearch.hashCode());
      Object $list = this.getList();
      result = result * 59 + ($list == null ? 43 : $list.hashCode());
      return result;
   }

   public String toString() {
      return "SettingSearchValidate(isHotSearch=" + this.getIsHotSearch() + ", list=" + this.getList() + ")";
   }
}
